#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private NOBSFreeMovingAverageBand[] cacheNOBSFreeMovingAverageBand;

		
		public NOBSFreeMovingAverageBand NOBSFreeMovingAverageBand(int top, int bottom, System.Windows.Media.Brush colorUp, System.Windows.Media.Brush colorDown, int opacity)
		{
			return NOBSFreeMovingAverageBand(Input, top, bottom, colorUp, colorDown, opacity);
		}


		
		public NOBSFreeMovingAverageBand NOBSFreeMovingAverageBand(ISeries<double> input, int top, int bottom, System.Windows.Media.Brush colorUp, System.Windows.Media.Brush colorDown, int opacity)
		{
			if (cacheNOBSFreeMovingAverageBand != null)
				for (int idx = 0; idx < cacheNOBSFreeMovingAverageBand.Length; idx++)
					if (cacheNOBSFreeMovingAverageBand[idx].Top == top && cacheNOBSFreeMovingAverageBand[idx].Bottom == bottom && cacheNOBSFreeMovingAverageBand[idx].ColorUp == colorUp && cacheNOBSFreeMovingAverageBand[idx].ColorDown == colorDown && cacheNOBSFreeMovingAverageBand[idx].Opacity == opacity && cacheNOBSFreeMovingAverageBand[idx].EqualsInput(input))
						return cacheNOBSFreeMovingAverageBand[idx];
			return CacheIndicator<NOBSFreeMovingAverageBand>(new NOBSFreeMovingAverageBand(){ Top = top, Bottom = bottom, ColorUp = colorUp, ColorDown = colorDown, Opacity = opacity }, input, ref cacheNOBSFreeMovingAverageBand);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.NOBSFreeMovingAverageBand NOBSFreeMovingAverageBand(int top, int bottom, System.Windows.Media.Brush colorUp, System.Windows.Media.Brush colorDown, int opacity)
		{
			return indicator.NOBSFreeMovingAverageBand(Input, top, bottom, colorUp, colorDown, opacity);
		}


		
		public Indicators.NOBSFreeMovingAverageBand NOBSFreeMovingAverageBand(ISeries<double> input , int top, int bottom, System.Windows.Media.Brush colorUp, System.Windows.Media.Brush colorDown, int opacity)
		{
			return indicator.NOBSFreeMovingAverageBand(input, top, bottom, colorUp, colorDown, opacity);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.NOBSFreeMovingAverageBand NOBSFreeMovingAverageBand(int top, int bottom, System.Windows.Media.Brush colorUp, System.Windows.Media.Brush colorDown, int opacity)
		{
			return indicator.NOBSFreeMovingAverageBand(Input, top, bottom, colorUp, colorDown, opacity);
		}


		
		public Indicators.NOBSFreeMovingAverageBand NOBSFreeMovingAverageBand(ISeries<double> input , int top, int bottom, System.Windows.Media.Brush colorUp, System.Windows.Media.Brush colorDown, int opacity)
		{
			return indicator.NOBSFreeMovingAverageBand(input, top, bottom, colorUp, colorDown, opacity);
		}

	}
}

#endregion
